org.apache.maven.plugins.shade.resource

## Interface ResourceTransformer

All Known Implementing Classes:
  ApacheLicenseResourceTransformer, ApacheNoticeResourceTransformer, AppendingTransformer, ComponentsXmlResourceTransformer, DontIncludeResourceTransformer, IncludeResourceTransformer, ManifestResourceTransformer, ServicesResourceTransformer, XmlAppendingTransformer

    public interface ResourceTransformer

Author:
  Jason van Zyl

### Method Summary

Methods
`boolean` `canTransformResource(String resource)`
`boolean` `hasTransformedResource()`
`void` `modifyOutputStream(JarOutputStream os)`
`void` `processResource(String resource, InputStream is, List<Relocator> relocators)`

### Method Detail

#### canTransformResource

    boolean canTransformResource(String resource)

#### processResource

    void processResource(String resource,
                       InputStream is,
                       List<Relocator> relocators)
                         throws IOException

Throws:
  `IOException`

#### hasTransformedResource

    boolean hasTransformedResource()

#### modifyOutputStream

    void modifyOutputStream(JarOutputStream os)
                            throws IOException

Throws:
  `IOException`